Summary:	rgb color-name database and showrgb application
Summary(pl.UTF-8):	Baza danych nazw kolorów rgb i aplikacja showrgb
Name:		xorg-app-rgb
Version:	1.1.0
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/app/rgb-%{version}.tar.xz
# Source0-md5:	d35515ecf63531f4b2c84c4ff2a7a39b
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
# just for dir
Requires:	xorg-lib-libX11
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains color-name database (rgb.txt) and showrgb
application to uncompile such database from dbm to source format.

%description -l pl.UTF-8
Ten pakiet zawiera bazę danych nazw kolorów (rgb.txt) oraz aplikację
showrgb do dekompilacji takiej bazy z formatu dbm do źródłowego.

%prep
%setup -q -n rgb-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README.md
%attr(755,root,root) %{_bindir}/showrgb
%{_mandir}/man1/showrgb.1*
%{_datadir}/X11/rgb.txt
%changelog
* Fri Nov 04 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-app-rgb.git;a=log;h=master

* Thu Nov 03 2022 Jakub Bogusz <qboosh@pld-linux.org> 038aa50
- updated to 1.1.0

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> a73a87f
- x32 rebuild
- release 2 (by relup.sh)

* Sun Nov 16 2014 Jakub Bogusz <qboosh@pld-linux.org> c4a3b6e
- updated to 1.0.6

* Tue Jan 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 5ace638
- updated to 1.0.5

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 7349864
- dropped pre-cvs changelog

* Thu Oct 07 2010 Jakub Bogusz <qboosh@pld-linux.org> 3747136
- updated to 1.0.4

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> af414a1
- release 2

* Sat Jun 07 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f86f644
- up to 1.0.3

* Tue May 01 2007 Jakub Bogusz <qboosh@pld-linux.org> 0f6938d
- informative descs

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> f36ded8
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> dc0b495
- converted to UTF-8

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> df83d94
- more verbose files, release 1

* Fri May 26 2006 Jakub Bogusz <qboosh@pld-linux.org> d99fcb4
- updated to 1.0.1

* Thu Jan 12 2006 Jakub Bogusz <qboosh@pld-linux.org> 27d9a53
- 1.0.0 (X11R7.0 release)

* Fri Dec 09 2005 Jakub Bogusz <qboosh@pld-linux.org> aedbfae
- 0.99.3 (X11R7.0-RC3)

* Sat Nov 19 2005 Jakub Bogusz <qboosh@pld-linux.org> b91d4ff
- 0.99.2 (X11R7.0-RC2)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 424c429
- pkgconfig epoch

* Fri Oct 21 2005 Jakub Bogusz <qboosh@pld-linux.org> 638c9c2
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> f564862
- sorted BRs

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> ff8860b
- standard permisions to binaries

